basic = require("lib.basic")

currentSeed = 1

local toPlant = {
  [1] = "minecraft:wheat_seeds",
  [2] = "minecraft:potato",
  [3] = "minecraft:carrot",
}

function selectSeed()
  for i=1, 16 do
    turtle.select(i)
    itemDetail = turtle.getItemDetail()
    if itemDetail ~= nil then
      if itemDetail.name == toPlant[currentSeed] then
        return
      end
    end
    currentSeed = currentSeed + 1
    if currentSeed > 4 then
      currentSeed = 1
    end
  end
  print("No seeds left")
end


local function doField()
  turtle.up()

  --do 2 rows of fields
  for i=1, 2 do
    --do 3 rows
    for j=1, 3 do
      --do one row
      for k=1, 2 do
        for l=1, 3 do
          turtle.forward()
          local blockFound, blockData = turtle.inspectDown()
          selectSeed()
          if blockFound then
            turtle.digDown()
            turtle.suckDown()
            
            turtle.placeDown()
          end
        end
        turtle.forward()
      end
      -- move to next row
      if j%2==1 then
        turtle.turnRight()
        turtle.forward()
        turtle.turnRight()
      else
        turtle.turnLeft()
        turtle.forward()
        turtle.turnLeft()
      end
    end
    turtle.turnLeft()
    turtle.forward()
    turtle.turnRight()
  end
end

local function kiss()
  turtle.up()
  for i=1, 7 do
    for j=1, 8 do
      turtle.forward()
      turtle.digDown()
      turtle.suckDown()
      selectSeed()
      turtle.placeDown()
    end
    if i%2==1 then
      turtle.turnRight()
      turtle.forward()
      turtle.turnRight()
    else
      turtle.turnLeft()
      turtle.forward()
      turtle.turnLeft()
    end
  end
end


local function main()
  kiss()
end




main()